Bug 191175 - Review Request: pyserial - Python serial port access library
Summary: Review Request: pyserial - Python serial port access library
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Adam Goode
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-05-09 15:11 UTC by Paul P Komkoff Jr
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-22 03:36:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul P Komkoff Jr 2006-05-09 15:11:41 UTC
Spec URL: http://stingr.net/l/fe/pyserial.spec
SRPM URL: http://stingr.net/l/fe/pyserial-2.2-1.src.rpm
Description:
This module capsulates the access for the serial port. It provides backends
for standard Python running on Windows, Linux, BSD (possibly any POSIX
compilant system) and Jython. The module named "serial" automaticaly selects
the appropriate backend.

Comment 1 Adam Goode 2006-07-03 03:56:52 UTC
rpmlint SRPM results:
 W: pyserial invalid-license PSF - see LICENSE.txt
 E: pyserial no-cleaning-of-buildroot

 * Please use "Python license" for License.
 * Don't forget "rm -rf $RPM_BUILD_ROOT" as the first step of %install.


rpmlint RPM results:
 W: pyserial invalid-license PSF - see LICENSE.txt
 W: pyserial wrong-file-end-of-line-encoding /usr/share/doc/pyserial-2.2/CHANGES.txt
 E: pyserial wrong-script-end-of-line-encoding
/usr/share/doc/pyserial-2.2/examples/wxTerminal.py
 W: pyserial wrong-file-end-of-line-encoding /usr/share/doc/pyserial-2.2/LICENSE.txt
 E: pyserial non-executable-script
/usr/lib/python2.4/site-packages/serial/serialposix.py 0644
 E: pyserial wrong-script-end-of-line-encoding
/usr/lib/python2.4/site-packages/serial/serialposix.py
 E: pyserial wrong-script-interpreter
/usr/lib/python2.4/site-packages/serial/serialwin32.py "python"
 E: pyserial non-executable-script
/usr/lib/python2.4/site-packages/serial/serialwin32.py 0644
 E: pyserial wrong-script-end-of-line-encoding
/usr/lib/python2.4/site-packages/serial/serialwin32.py
 E: pyserial wrong-script-end-of-line-encoding
/usr/share/doc/pyserial-2.2/examples/scan.py
 W: pyserial wrong-file-end-of-line-encoding
/usr/share/doc/pyserial-2.2/examples/wxSerialConfigDialog.wxg
 E: pyserial wrong-script-end-of-line-encoding
/usr/share/doc/pyserial-2.2/examples/miniterm.py
 E: pyserial wrong-script-end-of-line-encoding
/usr/share/doc/pyserial-2.2/examples/test.py
 W: pyserial wrong-file-end-of-line-encoding
/usr/share/doc/pyserial-2.2/examples/setup_demo.py
 E: pyserial wrong-script-end-of-line-encoding
/usr/share/doc/pyserial-2.2/examples/tcp_serial_redirect.py
 E: pyserial non-executable-script
/usr/lib/python2.4/site-packages/serial/__init__.py 0644
 E: pyserial wrong-script-end-of-line-encoding
/usr/lib/python2.4/site-packages/serial/__init__.py
 W: pyserial wrong-file-end-of-line-encoding /usr/share/doc/pyserial-2.2/README.txt
 E: pyserial wrong-script-end-of-line-encoding
/usr/share/doc/pyserial-2.2/examples/test_advanced.py
 E: pyserial wrong-script-end-of-line-encoding
/usr/share/doc/pyserial-2.2/examples/wxSerialConfigDialog.py
 E: pyserial wrong-script-end-of-line-encoding
/usr/share/doc/pyserial-2.2/examples/test_high_load.py
 E: pyserial wrong-script-interpreter
/usr/lib/python2.4/site-packages/serial/serialutil.py "python"
 E: pyserial non-executable-script
/usr/lib/python2.4/site-packages/serial/serialutil.py 0644
 E: pyserial wrong-script-end-of-line-encoding
/usr/lib/python2.4/site-packages/serial/serialutil.py
 E: pyserial wrong-script-end-of-line-encoding
/usr/share/doc/pyserial-2.2/examples/enhancedserial.py
 W: pyserial wrong-file-end-of-line-encoding
/usr/share/doc/pyserial-2.2/examples/wxTerminal.wxg
 E: pyserial wrong-script-interpreter
/usr/lib/python2.4/site-packages/serial/serialjava.py "jython"
 E: pyserial non-executable-script
/usr/lib/python2.4/site-packages/serial/serialjava.py 0644
 E: pyserial wrong-script-end-of-line-encoding
/usr/lib/python2.4/site-packages/serial/serialjava.py


 * Most of the problems here are bad line endings. Perhaps you need to
   use a sed script or something to fix the endings on these files?

 * The other problem relates to the modules (.py files) having an 
   interpreter line at the top. I suggest a patch to remove 
   the #! lines from the top of each file.



Also see:
http://fedoraproject.org/wiki/Packaging/Python

 * In %description: do you mean "encapsulates" ?
 * You don't need Requires: python-abi ... 
 * Include the .py and .pyc files only, but specify %ghost for the .pyo files


I look forward to seeing your result !

Comment 2 Adam Goode 2006-07-03 04:05:22 UTC
For the problem with line endings, you might be able to get away with putting
  export UNZIP="-aa"
in %prep before %setup -q

This works because the archive contains only text files. But I would check
carefully that the module continues to work correctly! (Even though a Python
module should be safe.)

Comment 4 Adam Goode 2006-10-14 22:01:55 UTC
rpmlint results:

E: pyserial non-executable-script
/usr/lib/python2.4/site-packages/serial/serialposix.py 0644
E: pyserial wrong-script-interpreter
/usr/lib/python2.4/site-packages/serial/serialwin32.py "python"
E: pyserial non-executable-script
/usr/lib/python2.4/site-packages/serial/serialwin32.py 0644
E: pyserial non-executable-script
/usr/lib/python2.4/site-packages/serial/__init__.py 0644
E: pyserial wrong-script-interpreter
/usr/lib/python2.4/site-packages/serial/serialutil.py "python"
E: pyserial non-executable-script
/usr/lib/python2.4/site-packages/serial/serialutil.py 0644
E: pyserial wrong-script-interpreter
/usr/lib/python2.4/site-packages/serial/serialjava.py "jython"
E: pyserial non-executable-script
/usr/lib/python2.4/site-packages/serial/serialjava.py 0644


These are harmless, I believe. These files are not really scripts.


One more thing for the specfile: since you are building a noarch package, you
don't need the %{!?python_sitearch... line. (Just python_sitelib.) Also, I don't
think you should be doing export libdirname=%{_lib}. Take out these 3 lines, and
you should be good.

Comment 6 Adam Goode 2006-11-06 03:25:54 UTC
Do you still need the libdirname in %build? Unless I'm confused, you shouldn't
have it. Please remove it and I think I will be able to accept.

Comment 7 Paul P Komkoff Jr 2006-11-06 15:12:42 UTC
Sorry, fixed.
http://stingr.net/l/fe/pyserial.spec
http://stingr.net/l/fe/pyserial-2.2-4.src.rpm


Comment 8 Kevin Fenzi 2006-12-22 03:36:59 UTC
This package appears to have been accepted, imported and built.
This bug should be closed NEXTRELEASE. 

I am going to go ahead and do so. If I am in error, please reopen.


Note You need to log in before you can comment on or make changes to this bug.